> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-all-licensed-users/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Retrieves all licensed users data. GET https://app.unleash-instance.example.com/api/admin/licensed-users **Enterprise feature** Fetches an array of licensed users with date and count. Reference: https://docs.getunleash.io/api/get-all-licensed-users ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Response ### 200 licensedUsersSchema - `seatCount` (integer, required) — The total number of licensed seats currently available for this Unleash instance. - `licensedUsers` (LicensedUsersSchemaLicensedUsers, required) — An object containing historical and current licensed user data. ## Types ### LicensedUsersSchemaLicensedUsers An object containing historical and current licensed user data. - `history` (list of licensedUserSchema, required) — A monthly history of licensed user counts. - `current` (integer, required) — The current number of licenses in use. ### licensedUserSchema A schema representing a single licensed user data point. - `date` (string, required) — The date associated with the licensed users count. - `count` (integer, required) — The count of licensed users on the given date. ## Examples **Response** ```json { "seatCount": 25, "licensedUsers": { "history": [ { "date": "2024-10-01T00:00:00.000Z", "count": 100 } ], "current": 25 } } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/licensed-users" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/licensed-users'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/licensed-users" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/licensed-users") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/licensed-users") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/licensed-users', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/licensed-users"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/licensed-users")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```